#load library
library(gnm)

# data
clogg<-structure(
	c(44,59,23,27,258,
		11,41,11,8,57,
		38,147,13,16,105,
		62,293,27,27,110),
  dim = c(5, 4),
	dimnames = structure(list(
    att_abort = c("Error", "Yes, Yes, Yes", "Yes, Yes, No", "Yes, No, No", "No, No, No"),
    att_sex = c("Always wrong", "Almost always wrong", "Sometimes wrong", "Not wrong"))),
  class = "table")

# model
nullModel <- gnm(Freq ~ att_abort + att_sex, family = poisson, data = clogg, verbose = FALSE)
nullModel

rc2 <- gnm(Freq ~ att_abort + att_sex + instances(Mult(att_abort, att_sex), 2), family = poisson, data = clogg)

rc2 <- gnm(Freq ~ att_abort + att_sex + Mult(att_abort, att_sex), family = poisson, data = clogg)
rc2

getContrasts(rc2, pickCoef(rc2, ").att_abort"), ref="first", scaleRef="first", scaleWeights="unit")

getContrasts(rc2, pickCoef(rc2, ").att_sex"), ref="first", scaleRef="first", scaleWeights="unit")
